FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
fir::RecordType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::RecordType:

## Public Types
using | TypePair = std::pair< std::string, mlir::Type >
using | TypeList = std::vector< TypePair >

## Public Member Functions
llvm::StringRef | getName ()
TypeList | getTypeList ()
TypeList | getLenParamList ()
mlir::Type | getType (llvm::StringRef ident)
mlir::Type | getType (unsigned index)
unsigned | getNumFields ()
unsigned | getNumLenParams ()
void | finalize (llvm::ArrayRef< TypePair > lenPList, llvm::ArrayRef< TypePair > typeList)
const detail::RecordTypeStorage * | uniqueKey () const

## Static Public Member Functions
static RecordType | get (mlir::MLIRContext *ctxt, llvm::StringRef name)
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()
static mlir::LogicalResult | verifyConstructionInvariants (mlir::Location, llvm::StringRef name)

## Detailed Description

Model of Fortran's derived type, TYPE. The name of the TYPE includes any KIND type parameters. The record includes runtime slots for LEN type parameters and for data components.

## Member Function Documentation

## ◆ get()

RecordType fir::RecordType::get | ( | mlir::MLIRContext * | ctxt,
|  | llvm::StringRef | name
| ) |  |
| static

RecordType

This type captures a Fortran "derived type"

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp